Skip to main content
GET
/
emails
/
metrics
Get email metrics
curl --request GET \
  --url https://app.sendmux.ai/api/v1/emails/metrics \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "data": {
    "summary": {
      "total": 15230,
      "sent": 14890,
      "failed": 210,
      "rejected": 80,
      "pending": 50
    },
    "comparison": {
      "total": 15230,
      "sent": 14890,
      "failed": 210,
      "rejected": 80,
      "pending": 50,
      "change_pct": {
        "total": 8.01,
        "sent": 7.9,
        "failed": 10.53,
        "rejected": 33.33,
        "pending": 0
      }
    },
    "timeseries": [
      {
        "timestamp": "2026-03-19T00:00:00Z",
        "total": 123,
        "sent": 123,
        "failed": 123,
        "rejected": 123,
        "pending": 123
      }
    ]
  },
  "meta": {
    "request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
  }
}

Authorizations

Authorization
string
header
required

Sendmux API key. Obtain from the dashboard under API Keys. Format: smx_root_...

Query Parameters

window
enum<string>

Preset time window (default: 24h)

Available options:
24h,
7d,
30d
from_date
string

ISO 8601 start date (overrides window)

to_date
string

ISO 8601 end date

granularity
enum<string>

Timeseries granularity (default: daily)

Available options:
hourly,
daily
provider_id
string

Filter by provider publicId

Response

Email metrics with comparison

ok
enum<boolean>
required
Available options:
true
data
object
required
meta
object
required